Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22106

Description

When the edit state of a layer is toggled off while you're tracing a new feature, the aborted trace doesn't clear up, and upon toggling edit

on again resumes. It's confusing as if you move your canvas away, a/ you don't see that there's an active trace, b/ the error message is

confusing when you don't know a discarded trace is still active.

Steps to reproduce

    1. Open a project in which you can trace features against basic shapes

    2. Make sure you have snapping options to allow for tracing to work

    3. Add a new polygon scratch layer, toggle edit state to on

    4. Begin tracing a polygon feature while tracing is active, but don't complete the polygon

    5. Abort editing by toggling it off

    6. Toggle editing on again, notice the tracing resumes

Martin, very, very cool feature :)

History

#1 - 2016-01-18 09:46 AM - Martin Dobias

Hmm just tested and obviously this behavior is the same also when tracing is not enabled - aborting editing and later turning it on again will continue with

the semi-digitized feature (not just with add feature, but also other editing tools). This happens also in earlier versions of QGIS (e.g. 2.8) so I am wondering

if that is a long-term bug or a feature - allowing to switch tools and come back to the digitizing.

The main point is whether this should be fixed just for tracing or also when tracing is disabled... Opinions welcome :)

#2 - 2016-01-20 01:52 AM - Martin Dobias

- Priority changed from Severe/Regression to Normal

- Status changed from Open to Feedback

With the recent commit that introduces fallback to straight line digitizing in tracing mode (commit:06932d98de114c3ad30be5cc4442d4a8541f878b), I

think this is a non-issue now... could you please test again?

#3 - 2016-02-20 01:03 AM - Saber Razmjooei

- Status changed from Feedback to Closed

Tested and works as expected.
